import type { ExtensionAuto } from '../../core';
import { PlaceholderOptions } from '../../utils/placeholder';
import { ClipboardOptions } from './Clipboard';
import { CursorOptions } from './Cursor';
import { HistoryOptions } from './History';
import { ReactRenderer } from './ReactRenderer';
export * from './Cursor';
export * from './History';
export * from './Clipboard';
export * from './Selection';
export * from './Placeholder';
export * from './ReactRenderer';
export declare type BehaviorPresetOptions = {
    cursor?: CursorOptions;
    history?: HistoryOptions;
    clipboard?: ClipboardOptions;
    placeholder?: PlaceholderOptions;
    reactRenderer: ReactRenderer;
};
export declare const BehaviorPreset: ExtensionAuto<BehaviorPresetOptions>;
